.navbar {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 60px;
	background-color: transparent;
	z-index: 99;
	transition: background-color 0.2s ease-in-out;
}

.navbar.show {
	background-color: #00020e;
}

.nav-header {
	position: fixed;
	top: 7px;
	left: 2%;
	z-index: 100;
	display: flex;
	gap: 10px;
	flex-wrap: wrap;
	justify-content: left;
	transition: opacity 0.4s ease-in-out;
	opacity: 0;
}

.nav-header.remove {
	opacity: 1;
}

.nav-header img{
	height: 5vh;
	width: 2.5vw;
}

.nav-header h2{
	font-family: 'Orbitron', sans-serif;
	font-size: clamp(1rem, 6vw, 1.7rem);
	font-weight: 900;
	letter-spacing: 0.1em;
	text-transform: uppercase;
	margin: 0.55rem 0;
	line-height: 1.1;
}

.nav-header h2 .meow {
	color: #fff;
}

.nav-header h2 .smp {
	background: linear-gradient(180deg,rgba(228, 148, 255, 1) 0%, rgba(122, 0, 166, 1) 100%);
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	color: transparent;
}

.nav-header h2 .meow,
.nav-header h2 .smp {
	display: inline-block;
	margin-right: 0.3em;
}

.buttons-grid {
	position: fixed;
	top: 8px;
	right: 2%;
	z-index: 100;
	display: flex;
	gap: 20px;
	flex-wrap: wrap;
	justify-content: right;
}

.sliding-indicator {
	position: absolute;
	bottom: -6.8px;
	height: 3px;
	background: #9900bb;
	border-radius: 3px;
	transition: all 0.4s cubic-bezier(0.25, 0.8, 0.25, 1);
	opacity: 0;
}

.buttons {
	font-family: 'Orbitron', sans-serif;
	font-size: 1rem;
	padding: 13px 30px;
	background: transparent;
	border: none;
	color: #b2b2b2;
	cursor: pointer;
	transition: color 0.4s;
	position: relative;
}

.buttons:hover {
	color: #fff;
}

.buttons.active {
	color: #9900bb;
}
